org.omg.CORBA

## Interface DataOutputStream

- All Superinterfaces:
    IDLEntity, Serializable, ValueBase

      public interface DataOutputStream
      extends ValueBase

  Defines the methods used to write primitive data types to output streams for marshalling custom value types. This interface is used by user written custom marshalling code for custom value types.
  See Also:
    `DataInputStream`, `CustomMarshal`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `write_Abstract(Object value)` | Writes the IDL Abstract interface type to the output stream.
    `void` | `write_any_array(Any[] seq, int offset, int length)` | Writes the array of IDL Anys from offset for length elements to the output stream.
    `void` | `write_any(Any value)` | Writes the Any value to the output stream.
    `void` | `write_boolean_array(boolean[] seq, int offset, int length)` | Writes the array of IDL booleans from offset for length elements to the output stream.
    `void` | `write_boolean(boolean value)` | Writes the boolean value to the output stream.
    `void` | `write_char_array(char[] seq, int offset, int length)` | Writes the array of IDL characters from offset for length elements to the output stream.
    `void` | `write_char(char value)` | Writes the IDL character value to the output stream.
    `void` | `write_double_array(double[] seq, int offset, int length)` | Writes the array of IDL doubles from offset for length elements to the output stream.
    `void` | `write_double(double value)` | Writes the IDL double value to the output stream.
    `void` | `write_float_array(float[] seq, int offset, int length)` | Writes the array of IDL floats from offset for length elements to the output stream.
    `void` | `write_float(float value)` | Writes the IDL float value to the output stream.
    `void` | `write_long_array(int[] seq, int offset, int length)` | Writes the array of IDL longs from offset for length elements to the output stream.
    `void` | `write_long(int value)` | Writes the IDL long value (represented as a Java int) to the output stream.
    `void` | `write_longlong_array(long[] seq, int offset, int length)` | Writes the array of IDL long longs from offset for length elements to the output stream.
    `void` | `write_longlong(long value)` | Writes the IDL long long value (represented as a Java long) to the output stream.
    `void` | `write_Object(Object value)` | Writes the IDL CORBA::Object value to the output stream.
    `void` | `write_octet_array(byte[] seq, int offset, int length)` | Writes the array of IDL octets from offset for length elements to the output stream.
    `void` | `write_octet(byte value)` | Writes the IDL octet value (represented as a Java byte) to the output stream.
    `void` | `write_short_array(short[] seq, int offset, int length)` | Writes the array of IDL shorts from offset for length elements to the output stream.
    `void` | `write_short(short value)` | Writes the IDL short value to the output stream.
    `void` | `write_string(String value)` | Writes the IDL string value to the output stream.
    `void` | `write_TypeCode(TypeCode value)` | Writes the typecode to the output stream.
    `void` | `write_ulong_array(int[] seq, int offset, int length)` | Writes the array of IDL unsigned longs (represented as Java ints) from offset for length elements to the output stream.
    `void` | `write_ulong(int value)` | Writes the IDL unsigned long value (represented as a Java int) to the output stream.
    `void` | `write_ulonglong_array(long[] seq, int offset, int length)` | Writes the array of IDL unsigned long longs (represented as Java longs) from offset for length elements to the output stream.
    `void` | `write_ulonglong(long value)` | Writes the IDL unsigned long long value (represented as a Java long) to the output stream.
    `void` | `write_ushort_array(short[] seq, int offset, int length)` | Writes the array of IDL unsigned shorts (represented as Java shorts) from offset for length elements to the output stream.
    `void` | `write_ushort(short value)` | Writes the IDL unsigned short value (represented as a Java short value) to the output stream.
    `void` | `write_Value(Serializable value)` | Writes the IDL value type value to the output stream.
    `void` | `write_wchar_array(char[] seq, int offset, int length)` | Writes the array of IDL wide characters from offset for length elements to the output stream.
    `void` | `write_wchar(char value)` | Writes the IDL wide character value to the output stream.
    `void` | `write_wstring(String value)` | Writes the IDL wide string value (represented as a Java String) to the output stream.

    - ### Methods inherited from interface org.omg.CORBA.portable.ValueBase

      `_truncatable_ids`

- - ### Method Detail

    - #### write_any

          void write_any(Any value)

      Writes the Any value to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_boolean

          void write_boolean(boolean value)

      Writes the boolean value to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_char

          void write_char(char value)

      Writes the IDL character value to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_wchar

          void write_wchar(char value)

      Writes the IDL wide character value to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_octet

          void write_octet(byte value)

      Writes the IDL octet value (represented as a Java byte) to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_short

          void write_short(short value)

      Writes the IDL short value to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_ushort

          void write_ushort(short value)

      Writes the IDL unsigned short value (represented as a Java short value) to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_long

          void write_long(int value)

      Writes the IDL long value (represented as a Java int) to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_ulong

          void write_ulong(int value)

      Writes the IDL unsigned long value (represented as a Java int) to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_longlong

          void write_longlong(long value)

      Writes the IDL long long value (represented as a Java long) to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_ulonglong

          void write_ulonglong(long value)

      Writes the IDL unsigned long long value (represented as a Java long) to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_float

          void write_float(float value)

      Writes the IDL float value to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_double

          void write_double(double value)

      Writes the IDL double value to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_string

          void write_string(String value)

      Writes the IDL string value to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_wstring

          void write_wstring(String value)

      Writes the IDL wide string value (represented as a Java String) to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_Object

          void write_Object(Object value)

      Writes the IDL CORBA::Object value to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_Abstract

          void write_Abstract(Object value)

      Writes the IDL Abstract interface type to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_Value

          void write_Value(Serializable value)

      Writes the IDL value type value to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_TypeCode

          void write_TypeCode(TypeCode value)

      Writes the typecode to the output stream.
      Parameters:
        `value` - The value to be written.

    - #### write_any_array

          void write_any_array(Any[] seq,
                               int offset,
                               int length)

      Writes the array of IDL Anys from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

    - #### write_boolean_array

          void write_boolean_array(boolean[] seq,
                                   int offset,
                                   int length)

      Writes the array of IDL booleans from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

    - #### write_char_array

          void write_char_array(char[] seq,
                                int offset,
                                int length)

      Writes the array of IDL characters from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

    - #### write_wchar_array

          void write_wchar_array(char[] seq,
                                 int offset,
                                 int length)

      Writes the array of IDL wide characters from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

    - #### write_octet_array

          void write_octet_array(byte[] seq,
                                 int offset,
                                 int length)

      Writes the array of IDL octets from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

    - #### write_short_array

          void write_short_array(short[] seq,
                                 int offset,
                                 int length)

      Writes the array of IDL shorts from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

    - #### write_ushort_array

          void write_ushort_array(short[] seq,
                                  int offset,
                                  int length)

      Writes the array of IDL unsigned shorts (represented as Java shorts) from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

    - #### write_long_array

          void write_long_array(int[] seq,
                                int offset,
                                int length)

      Writes the array of IDL longs from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

    - #### write_ulong_array

          void write_ulong_array(int[] seq,
                                 int offset,
                                 int length)

      Writes the array of IDL unsigned longs (represented as Java ints) from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

    - #### write_ulonglong_array

          void write_ulonglong_array(long[] seq,
                                     int offset,
                                     int length)

      Writes the array of IDL unsigned long longs (represented as Java longs) from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

    - #### write_longlong_array

          void write_longlong_array(long[] seq,
                                    int offset,
                                    int length)

      Writes the array of IDL long longs from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

    - #### write_float_array

          void write_float_array(float[] seq,
                                 int offset,
                                 int length)

      Writes the array of IDL floats from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

    - #### write_double_array

          void write_double_array(double[] seq,
                                  int offset,
                                  int length)

      Writes the array of IDL doubles from offset for length elements to the output stream.
      Parameters:
        `seq` - The array to be written.
        `offset` - The index into seq of the first element to write to the output stream.
        `length` - The number of elements to write to the output stream.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.